classification
Title: Signed integer overflow in _ctypes.c's PyCArrayType_new()
Type: behavior Stage: resolved
Components: ctypes, Extension Modules Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, amaury.forgeotdarc, belopolsky, meador.inge, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-04-02 10:09 by ZackerySpytz, last changed 2019-04-06 16:50 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12660 closed ZackerySpytz, 2019-04-02 10:11
PR 12676 merged miss-islington, 2019-04-03 17:36
PR 12678 merged ZackerySpytz, 2019-04-03 18:18
Messages (4)
msg339326 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-04-02 10:09
Signed integer overflow can occur in the overflow check in PyCArrayType_new() if "itemsize" is large enough.
msg339327 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-04-02 10:48
New changeset 487b73ab39c80157474821ef9083f51e0846bd62 by Serhiy Storchaka (Zackery Spytz) in branch 'master':
bpo-36504: Fix signed integer overflow in _ctypes.c's PyCArrayType_new(). (GH-12660)
https://github.com/python/cpython/commit/487b73ab39c80157474821ef9083f51e0846bd62
msg339407 - (view) Author: miss-islington (miss-islington) Date: 2019-04-03 17:55
New changeset 9c08eeb30ca0e551323467b62ae40e08e30839b3 by Miss Islington (bot) in branch '3.7':
bpo-36504: Fix signed integer overflow in _ctypes.c's PyCArrayType_new(). (GH-12660)
https://github.com/python/cpython/commit/9c08eeb30ca0e551323467b62ae40e08e30839b3
msg339415 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-04-03 19:00
New changeset fd83a823a6f268dc97ee2bf7d8a1a88d948446e5 by Serhiy Storchaka (Zackery Spytz) in branch '2.7':
bpo-36504: Fix signed integer overflow in _ctypes.c's PyCArrayType_new(). (GH-12660) (GH-12678)
https://github.com/python/cpython/commit/fd83a823a6f268dc97ee2bf7d8a1a88d948446e5
History
Date User Action Args
2019-04-06 16:50:45serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-03 19:00:12serhiy.storchakasetmessages: + msg339415
2019-04-03 18:18:24ZackerySpytzsetpull_requests: + pull_request12605
2019-04-03 17:55:31miss-islingtonsetnosy: + miss-islington
messages: + msg339407
2019-04-03 17:36:40miss-islingtonsetpull_requests: + pull_request12603
2019-04-02 10:48:00serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg339327
2019-04-02 10:20:41SilentGhostsetnosy: + amaury.forgeotdarc, belopolsky, meador.inge
2019-04-02 10:11:56ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12589
2019-04-02 10:09:01ZackerySpytzcreate